<template>
  <q-layout>
    <q-layout-drawer
      side="left"
      v-model="isSidebarActive"
      behavior="desktop"
    >
      <q-item
        :style="{
          opacity: .6
        }"
        link
        @click.native="isSidebarActive = false"
      >
        <q-icon size="24px" name="arrow_back"/>
        <q-item-main class="q-ml-sm">
          Hide sidebar
        </q-item-main>
      </q-item>
      <sidebar/>
    </q-layout-drawer>
    <q-page-sticky
      position="top-left"
      :offset="[18, 18]"
      :style="{zIndex: 10}"
      class="absolute-top-left"
    >
      <q-btn
        v-if="!isSidebarActive"
        round
        icon="list"
        color="primary"
        @click="isSidebarActive = true"
        size="sm"
      />
    </q-page-sticky>
    <q-page-container>
      <q-page padding class="height-0 column">
        <router-view/>
      </q-page>
    </q-page-container>
  </q-layout>
</template>

<script>
    import Sidebar from './components/sidebar/sidebar';

    export default {
      name: 'layout',
      components: { Sidebar },
      data() {
        return {
          isSidebarActive: true,
        };
      },
      mounted() {
        this.$nextTick(() => {
          this.isSidebarActive = true;
        }, 500);
      },
    };
</script>
